=== debian/changelog ===
mimetreeparser (25.12.1-2+rpi1) forky-staging; urgency=medium

  [changes brought forward from 24.12.0-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 11 Jan 2025 15:32:04 +0000]
  * Remove armhf from qtwebengine related architecture lists.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 30 Jan 2026 07:00:47 +0000

mimetreeparser (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:39:18 +0100

mimetreeparser (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:24 +0100

mimetreeparser (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:56 +0100
