## mimetreeparser 25.12.1+p24.04+vstable+git20260106.1345

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vstable+git20260106.1345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 13:45:47 +0000

mimetreeparser (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:47 +1000
