## mimetreeparser 25.12.1+p24.04+vstable+git20260107.0821

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vstable+git20260107.0821-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:21:05 +0000
