## mimetreeparser 25.12.1+p24.04+vstable+git20260205.0441

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vstable+git20260205.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:41:06 +0000
