## mimetreeparser 25.12.1+p24.04+vunstable+git20260205.0807

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.21.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -42,7 +42,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(ECMAddTests)
 
 include(ECMCheckOutboundLicense)
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.6.1")
-set(KPIM_LIBKLEO_VERSION "6.6.1")
-set(KPIM_MBOX_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.44")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
+set(KPIM_MBOX_VERSION "6.6.40")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -73,17 +73,6 @@
     mimetreeparserng-version.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h
     @ONLY
-)
-
-option(
-    BUILD_QCH
-    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-    OFF
-)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
 
 if(BUILD_TESTING)
@@ -112,7 +101,12 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT
@@ -124,6 +118,17 @@
 if(USE_UNITY_CMAKE_SUPPORT)
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
     add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
+endif()
+
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
 endif()
 
 add_subdirectory(src)
