=== debian/control ===
--- 
+++ 
@@ -1,36 +1,38 @@
 Source: mimetreeparser
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libkf6calendarcore-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkleo-dev (>= 4:25.12.1~),
-               libkmbox-dev (>= 25.12.1~),
-               libkmime-dev (>= 25.12.1~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6colorscheme-dev,
+               libkf6config-dev,
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkleo-dev (>= 4:25.12.2~),
+               libkmbox-dev (>= 25.12.2~),
+               libkmime-dev (>= 25.12.2~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
-               qml6-module-qtwebengine [amd64 arm64 i386],
+               qml6-module-qtwebengine [amd64 arm64 armhf i386],
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mimetreeparser
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
 Rules-Requires-Root: no
 
 Package: libmimetreeparser-data
@@ -78,12 +80,12 @@
 Package: libmimetreeparser-dev
 Architecture: any
 Multi-Arch: same
-Depends: libkf6i18n-dev (>= 6.18.0~),
-         libkmbox-dev (>= 25.12.1~),
-         libkmime-dev (>= 25.12.1~),
+Depends: libkf6i18n-dev (>= 6.6.0~),
+         libkmbox-dev (>= 25.12.2~),
+         libkmime-dev (>= 25.12.2~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
-         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 i386],
+         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
          ${misc:Depends},
 Description: MIME tree parser - development files
  This is a parser for a MIME tree and is based on KMime. The goal is
@@ -95,11 +97,9 @@
 Section: libdevel
 
 Package: qml6-module-org-kde-mimetreeparser
-Architecture: amd64 arm64 i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser
  This is a parser for a MIME tree and is based on KMime. The goal is
  given a MIME tree to extract a list of parts (e.g. text, html) and a
