## mimetreeparser 25.12.2+p24.04+vunstable+git20260207.0607

=== debian/changelog ===
mimetreeparser (25.12.2+p24.04+vunstable+git20260207.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:07:06 +0000

mimetreeparser (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:11:14 +0000
